Index: flexpart_code/fpmetbinary_mod.F90
===================================================================
--- flexpart_code/fpmetbinary_mod.F90	(revision 515b21c06ac454a3edcdd8f8fcbbaafcaa3d2291)
+++ flexpart_code/fpmetbinary_mod.F90	(revision b398fb67a4f4baa29fc8752c3bd278a6e469486e)
@@ -3297,171 +3388,26 @@
             READ(iounit) psconv, tt2conv, td2conv
             READ(iounit) nconvlev, nconvtop
-#endif
-
-
-
-            ncret = nf90_inq_varid(ncid, 'pconv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, pconv(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'dpr', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, dpr(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'pconv_hpa', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, pconv_hpa(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'ft', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, ft(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'fq', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, fq(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'sub', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, sub(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'phconv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, phconv(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'phconv_hpa', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, phconv_hpa(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tconv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tconv(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'qconv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, qconv(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'qsconv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, qsconv(:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'fmass', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, fmass(:,:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'fmassfrac', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, fmassfrac(:,:))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'cbaseflux', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, cbaseflux(0:nxmax-1,0:nymax-1))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'cbasefluxn', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, cbasefluxn(0:nxmaxn-1,0:nymaxn-1,1:maxnests))
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'psconv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, psconv)
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'tt2conv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, tt2conv)
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'td2conv', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, td2conv)
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'nconvlev', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, nconvlev)
-            call handle_nf90_err(ncret)
-
-            ncret = nf90_inq_varid(ncid, 'nconvtop', ncvarid)
-            call handle_nf90_err(ncret)
-            ncret = nf90_get_var(ncid, ncvarid, nconvtop)
-            call handle_nf90_err(ncret)
-
-
-
-
-            PRINT *, 'SUM(pconv): ', SUM(pconv)
-            PRINT *, 'SUM(qconv): ', SUM(qconv)
-            PRINT *, 'SUM(fmassfrac): ', SUM(fmassfrac)
-            PRINT *, 'SUM(cbasefluxn): ', SUM(cbasefluxn)
-            PRINT *, 'tt2conv: ', tt2conv
-            PRINT *, 'nconvlev: ', nconvlev
+
+
+
+
+
+!            PRINT *, 'SUM(pconv): ', SUM(pconv)
+!            PRINT *, 'SUM(qconv): ', SUM(qconv)
+!            PRINT *, 'SUM(fmassfrac): ', SUM(fmassfrac)
+!            PRINT *, 'SUM(cbasefluxn): ', SUM(cbasefluxn)
+!            PRINT *, 'tt2conv: ', tt2conv
+!            PRINT *, 'nconvlev: ', nconvlev
 
 
 
         ELSE
-            STOP 'fpio(): Illegal operation' 
+            STOP 'fpio_rawbin(): Illegal operation' 
             
         ENDIF
-    END SUBROUTINE fpio
-
-    SUBROUTINE fpmetbinary_filetext(filename, cm_index)
-
-        ! This is a utility subroutine meant to be used for testing purposes.
-        ! It facilitates the text output of variables read in from the 
-        ! specified .fp file.  This routine will easily cause the program
-        ! to crash due memory allocation issues, particularly when you are
-        ! trying to text print 3d arrays in a single formatted statetment.
-        
-        CHARACTER(LEN=*), INTENT(IN) :: filename
-        INTEGER, INTENT(IN) :: cm_index           ! Index of last dimension in
-                                                  ! most com_mod variables.
-                                                  ! Should be 1 or 2 
-
-        !OPEN(IOUNIT_TEXTOUT, file=filename, action='WRITE', status='REPLACE', &
-        !    form="formatted", access="stream")
-        OPEN(IOUNIT_TEXTOUT, file=filename, action='WRITE', &
-             form="formatted", access="APPEND")
-
-        WRITE(IOUNIT_TEXTOUT, *) 'oro: ', oro
-        WRITE(IOUNIT_TEXTOUT, *) 'excessoro: ', excessoro
-        WRITE(IOUNIT_TEXTOUT, *) 'lsm: ', lsm
-        WRITE(IOUNIT_TEXTOUT, *) 'xlanduse: ', xlanduse
-        WRITE(IOUNIT_TEXTOUT, *) 'height: ', height
-
-        WRITE(IOUNIT_TEXTOUT, *) 'uu: ', uu(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'vv: ', vv(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'uupol: ', uupol(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'vvpol: ', vvpol(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'ww: ', ww(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'tt: ', tt(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'qv: ', qv(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'pv: ', pv(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'rho: ', rho(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'drhodz: ', drhodz(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'tth: ', tth(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'qvh: ', qvh(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'pplev: ', pplev(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'clouds: ', clouds(:,:,:,cm_index)
-        WRITE(IOUNIT_TEXTOUT, *) 'cloudsh: ', cloudsh(:,:,cm_index)
-
-
-
-
-        CLOSE(IOUNIT_TEXTOUT)
-    END SUBROUTINE fpmetbinary_filetext
+    END SUBROUTINE fpio_rawbin
+
+
+
 
     subroutine handle_nf90_err(status)
